Subject: bug#76852: 30.1; Regression in whitespace-mode causes display issue under terminal

From: 张海 <[email-masked]>
Date: Sat, 15 Mar 2025 13:17:21 -0700

Thanks for fixing this for whitespace-mode!

In case anyone has a similar problem and finds this thread. as an
opinionated user I feel it would make the most sense for me to always
have a consistent ambiguous CJK character setting between my terminal
and Emacs, so that the text layout for Emacs under terminal never
breaks for any of those characters. I've added the following to my
.emacs now (as all my terminals has defaulted to half width for
years):

;;; half width CJK ambiguous characters (same as most terminal
;;; defaults)
(setopt cjk-ambiguous-chars-are-wide nil)